This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169092 - Review Request: rocksndiamonds: Underground digging game
Review Request: rocksndiamonds: Underground digging game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Pepple
David Lawrence
http://www.artsoft.org/rocksndiamonds/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-22 17:43 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 12:45:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2005-09-22 17:43:32 EDT
Spec Name or Url: http://www.auroralinux.org/people/spot/review/rocksndiamonds.spec
SRPM Name or Url: http://www.auroralinux.org/people/spot/review/rocksndiamonds-3.1.1-1.src.rpm
Description: 
Dig for treasure and solve puzzles underground, but watch out for falling
rocks and strange creatures!
Comment 1 Brian Pepple 2005-09-22 19:35:49 EDT
Spot, looks like your missing a BuildRequires for SDL_net-devel.

<snip>
In file included from system.h:30,
                 from system.c:23:
sdl.h:20:21: error: SDL_net.h: No such file or directory
system.c: In function 'InitPlatformDependentStuff':
system.c:122: warning: implicit declaration of function 'SDLNet_Init'
system.c: In function 'get_cursor_from_image':
system.c:1016: warning: ignoring return value of 'sscanf', declared with
attribute warn_unused_result
system.c:1049: warning: ignoring return value of 'sscanf', declared with
attribute warn_unused_result
make[2]: *** [system.o] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/rocksndiamonds-3.1.1/src/libgame'
make[1]: *** [libgame_dir] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/rocksndiamonds-3.1.1/src'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.93975 (%build)
</snip>
Comment 2 Michael A. Peters 2005-09-22 20:35:58 EDT
(In reply to comment #1)
> Spot, looks like your missing a BuildRequires for SDL_net-devel.

Adding that and it builds in mock for me.
However - bunch of this from rpmlint:

*snip*
3.1.1/elements/timegate_switch.txt
W: rocksndiamonds wrong-file-end-of-line-encoding
/usr/share/doc/rocksndiamonds-3.1.1/elements/bd_firefly.txt
W: rocksndiamonds wrong-file-end-of-line-encoding
/usr/share/doc/rocksndiamonds-3.1.1/elements/amoeba_wet.txt
W: rocksndiamonds wrong-file-end-of-line-encoding
/usr/share/doc/rocksndiamonds-3.1.1/elements/satellite.txt
*snip*
Comment 3 Tom "spot" Callaway 2005-09-22 23:00:55 EDT
(In reply to comment #1)
> Spot, looks like your missing a BuildRequires for SDL_net-devel.

Sure enough, I am.

(In reply to comment #2)

> However - bunch of this from rpmlint:
> 
> *snip*
> 3.1.1/elements/timegate_switch.txt
> W: rocksndiamonds wrong-file-end-of-line-encoding

I think these are safe to ignore. They're just text descriptor files for the map
components.

New SRPM:
http://www.auroralinux.org/people/spot/review/rocksndiamonds-3.1.1-2.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/rocksndiamonds.spec
Comment 4 Brian Pepple 2005-09-23 10:07:28 EDT
PUBLISH +1

MD5Sums:
6a6e0397f043314e3df8ee85c03590b5  rocksndiamonds-3.1.1.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Buildroot has all required elements
* All paths begin with macros
* Desktop entry is fine
* All directories are owned by this or other packages
* All necessary BuildRequires listed.
* All desired features are enabled
* Make succeeds even when %{_smp_mflags} is defined
* Files have appropriate permissions and owners
* Package installs and uninstalls cleanly on FC4
* Software runs fine

Minor:
* Rpmlint errors: Refer to comment #2

Note You need to log in before you can comment on or make changes to this bug.